Package org.drinkless.tdlib

# Class TdApi.DeleteDirectMessagesChatTopicHistory

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.DeleteDirectMessagesChatTopicHistory

Enclosing class:
  `TdApi`

public static class TdApi.DeleteDirectMessagesChatTopicHistory extends TdApi.Function<TdApi.Ok>
Deletes all messages in the topic in a channel direct messages chat administered by the current user.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier of the channel direct messages chat.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `topicId`
  Identifier of the topic which messages will be deleted.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeleteDirectMessagesChatTopicHistory()`
  Default constructor for a function, which deletes all messages in the topic in a channel direct messages chat administered by the current user.
  `DeleteDirectMessagesChatTopicHistory(long chatId, long topicId)`
  Creates a function, which deletes all messages in the topic in a channel direct messages chat administered by the current user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier of the channel direct messages chat.

  - ### topicId

    public long topicId
    Identifier of the topic which messages will be deleted.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DeleteDirectMessagesChatTopicHistory

    public DeleteDirectMessagesChatTopicHistory()
    Default constructor for a function, which deletes all messages in the topic in a channel direct messages chat administered by the current user.

    Returns `Ok`

  - ### DeleteDirectMessagesChatTopicHistory

    public DeleteDirectMessagesChatTopicHistory(long chatId, long topicId)
    Creates a function, which deletes all messages in the topic in a channel direct messages chat administered by the current user.

    Returns `Ok`

    Parameters:
      `chatId` - Chat identifier of the channel direct messages chat.
      `topicId` - Identifier of the topic which messages will be deleted.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR